--- WARNING: THIS IS AN AUTO-GENERATED FILE, DO NOT EDIT. PLEASE MODIFY THE ORIGINAL SOURCE IN THE 'https://github.com/istio/istio' REPO source_repo: https://github.com/istio/istio title: node_agent description: Istio security per-node agent. generator: pkg-collateral-docs number_of_entries: 3 max_toc_level: 2 remove_toc_prefix: 'node_agent ' ---

Istio security per-node agent.

    node_agent [flags]

Flags | Description
--- | ---
`--ca-address <string>` | Istio CA address (default `istio-citadel:8060`)
`--cert-chain <string>` | Node Agent identity cert file (default `/etc/certs/cert-chain.pem`)
`--env <string>` | Node Environment : unspecified | onprem | gcp | aws (default `unspecified`)
`--experimental-dual-use` | Enable dual-use mode. Generates certificates with a CommonName identical to the SAN.
`--key <string>` | Node Agent private key file (default `/etc/certs/key.pem`)
`--key-size <int>` | Size of generated private key (default `2048`)
`--log_as_json` | Whether to format output as JSON or in plain console-friendly format
`--log_caller <string>` | Comma-separated list of scopes for which to include called information, scopes can be any of [default] (default ``)
`--log_output_level <string>` | The minimum logging level of messages to output, can be one of [debug, info, warn, error, fatal, none] (default `default:info`)
`--log_rotate <string>` | The path for the optional rotating log file (default ``)
`--log_rotate_max_age <int>` | The maximum age in days of a log file beyond which the file is rotated (0 indicates no limit) (default `30`)
`--log_rotate_max_backups <int>` | The maximum number of log file backups to keep before older files are deleted (0 indicates no limit) (default `1000`)
`--log_rotate_max_size <int>` | The maximum size in megabytes of a log file beyond which the file is rotated (default `104857600`)
`--log_stacktrace_level <string>` | The minimum logging level at which stack traces are captured, can be one of [debug, info, warn, error, fatal, none] (default `default:none`)
`--log_target <stringArray>` | The set of paths where to output the log. This can be any path as well as the special values stdout and stderr (default `[stdout]`)
`--org <string>` | Organization for the cert (default ``)
`--platform <string>` | The platform istio runs on: vm | k8s (default `vm`)
`--root-cert <string>` | Root Certificate file (default `/etc/certs/root-cert.pem`)
`--workload-cert-ttl <duration>` | The requested TTL for the workload (default `2160h0m0s`)

## node_agent version

Prints out build version information

    node_agent version [flags]

Flags | Shorthand | Description
--- | --- | ---
`--log_as_json` |  | Whether to format output as JSON or in plain console-friendly format
`--log_caller <string>` |  | Comma-separated list of scopes for which to include called information, scopes can be any of [default] (default ``)
`--log_output_level <string>` |  | The minimum logging level of messages to output, can be one of [debug, info, warn, error, fatal, none] (default `default:info`)
`--log_rotate <string>` |  | The path for the optional rotating log file (default ``)
`--log_rotate_max_age <int>` |  | The maximum age in days of a log file beyond which the file is rotated (0 indicates no limit) (default `30`)
`--log_rotate_max_backups <int>` |  | The maximum number of log file backups to keep before older files are deleted (0 indicates no limit) (default `1000`)
`--log_rotate_max_size <int>` |  | The maximum size in megabytes of a log file beyond which the file is rotated (default `104857600`)
`--log_stacktrace_level <string>` |  | The minimum logging level at which stack traces are captured, can be one of [debug, info, warn, error, fatal, none] (default `default:none`)
`--log_target <stringArray>` |  | The set of paths where to output the log. This can be any path as well as the special values stdout and stderr (default `[stdout]`)
`--output <string>` | `-o` | One of 'yaml' or 'json'. (default ``)
`--short` | `-s` | Use --short=false to generate full version information

## Exported metrics

Metric Name | Type | Description
--- | --- | ---
`istio_build` | `LastValue` | Istio component build info